// SMC OH-58 and SMC OH-58LGM UNOFFICAL ADDON BY Smoking Cloud v1.4 SMC  20-04-02
// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class SMCoh58lgm
	{
		units[] = {SMCoh58lgm};
		weapons[] = {};
		requiredVersion = 1.10;
	};	
	class SMCoh58
	{
		units[] = {SMCoh58};
		weapons[] = {};
		requiredVersion = 1.30;
	};
};

class CfgAmmo
{
	class Default{}; 
	class AT3: Default{};  
	class Hellfire: AT3{};
	class SMCLATMM: Hellfire
{
   hit=1900;
   indirectHit=600;
   indirectHitRange=2.500000;
   minRange=50;
   minRangeProbab=0.500000;
   midRange=300;
   midRangeProbab=0.950000;
   maxRange=1500;
   maxRangeProbab=0.500000;
   maxSpeed=350;
   soundHit[]={"Explosions\explosion_at3",100.000008,1};
   cost=20000;
   model="LAW";
   irLock=true;
   laserLock=true;
   airLock=false;
   manualControl=0;
   maxControlRange=100000;
   maneuvrability=4.000000;
   initTime=0;
   thrustTime=5.500000;
   thrust=800;
	};

};

class CfgWeapons
{
	class Default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class LaserDesignatorBase: Default {};

	class LaserDesignatorOH: LaserDesignatorBase
	{
		scopeWeapon = public;
		scopeMagazine = public;
		primary=10;
	};

	class AT3Launcher: CarlGustavLauncher {};
	class ZuniLauncher38: AT3Launcher {};
	class ZuniLauncherOH : ZuniLauncher38 {};
	class ZuniLauncherSMC : ZuniLauncherOH {};
	class SMCLATMLauncher : ZuniLauncherSMC
	{
		displayName="HellFire II";
		opticsZoomMin=0.08;
		opticsZoomMax=0.84;
		initSpeed=0;
		aiRateOfFire=1.000000;
   		aiRateOfFireDistance=1500;
   		sound[]={\smc oh58\sound\missilelaunch.ogg,db-5,1.0};

		
		ammo = SMCLATMM;
		count=6;
		reloadTime=0.5;
	};

	class ZuniSMC : ZuniLauncherSMC {};
	class SMCLauncher : ZuniSMC
	{
		
		opticsZoomMin=0.08;
		opticsZoomMax=0.84;
		count=14;
		reloadTime=0.15;
	};
	
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Helicopter: Air {};
        class OH58: Helicopter{};
	class SMCOH58lgm: OH58
	{
		picture=\smc oh58\smc oh58lgm\iKiowa;
		crew = SoldierWPilot;
		scope=2;
		side=TWest;
		armor=30;
		camouflage=5;
		displayName="SMC OH-58 LGM";
		nameSound="chopper";	// ???????
		accuracy=0.30;
		laserScanner=1;
		hasGunner=1;
   		hasCommander=0;
   		driverIsCommander=1;
		driverCanSee=31;
   		gunnerCanSee=31;

		gunnerUsesPilotView = true;

		driverAction = ManActUH60Pilot;
		gunnerAction = ManActUH60Pilot;

		maxSpeed = 235;

		class ViewOptics
		{
			initAngleX=0; minAngleX=-30; maxAngleX=30;
			initAngleY=0; minAngleY=-86; maxAngleY=86;
			initFov=0.1; minFov=0.03; maxFov=1.2;
		};

		soundEngine[]={\smc oh58\smc oh58lgm\oh58,db+5,1};

		cost=10000000;
		model=\smc oh58\smc oh58lgm;

		rotorBig = vrtule_velka;
		rotorBigBlend = vrtule_velka_bl_;
		rotorSmall = vrtule_mala;
		rotorSmallBlend = vrtule_mala_bl;
		weapons[]={SMCLATMLauncher,LaserDesignatorOH};
		magazines[]={SMCLATMLauncher,LaserDesignatorOH};
		type=VAir;
		class TransportMagazines
{
      class _xx_M21
      {
         magazine="M21";
         count="12*1";
      };
      class _xx_LAWLauncher
      {
         magazine="LAWLauncher";
         count="6*1";
      };
      class _xx_G36aMag
      {
         magazine="G36aMag";
         count="12*1";
       };
      class _xx_HK
      {
         magazine="HK";
         count="12*1";
          };
      class _xx_HandGrenade
      {
         magazine="HandGrenade";
         count="10*1";
       };
      class _xx_SmokeShell
      {
         magazine="SmokeShell";
         count="10*1";
         };
      class _xx_LaserDesignator
      {
         magazine="LaserDesignator";
         count="4*1";
	};
};
	class TransportWeapons
	{
		class _xx_HK
		{
		weapon="HK";
		count="4*1";
		};
		class _xx_NVGoggles
		{
		weapon="NVGoggles";
		count="2*1";
		};
		class _xx_Binocular
		{
		weapon="Binocular";
		count="4*1";
		};
		class _xx_LAWLauncher
		{
		weapon="LAWLauncher";
		count="2*1";
		};
		class _xx_M21
		{
		weapon="M21";
		count="2*1";
		};
		class _xx_G36a
		{
		weapon="G36a";
		count="4*1";
		};
		class _xx_LaserDesignator
		{
		weapon="LaserDesignator";
		count="1*1";
		};
	};		
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 0.6, 0.3};

			dammageHalf[]=
			{
				"\smc oh58\smc oh58lgm\oh58_sklotest.paa", "\smc oh58\smc oh58lgm\oh58_sklotest_b.paa",
				"\smc oh58\smc oh58lgm\oh58_sklotestl.paa", "\smc oh58\smc oh58lgm\oh58_sklotestl_b.paa"
			};
			dammageFull[]=
			{
				"\smc oh58\smc oh58lgm\oh58_sklotest.paa", "\smc oh58\smc oh58lgm\oh58_sklotest_c.paa",
				"\smc oh58\smc oh58lgm\oh58_sklotestl.paa", "\smc oh58\smc oh58lgm\oh58_sklotestl_c.paa"
			};
		};

		class SMCoh58: OH58
		{
		picture=\smc oh58\smc oh58\iKiowa;
		crew = SoldierWPilot;
		scope=public;
		side=TWest;
		camouflage=5;
		displayName="SMC OH-58";
		nameSound="chopper";	// ???????
		accuracy=0.30;

		gunnerUsesPilotView = true;

		driverAction = ManActUH60Pilot;
		gunnerAction = ManActUH60Pilot;

		maxSpeed = 235;

		class ViewOptics
		{
			initAngleX=0; minAngleX=-30; maxAngleX=30;
			initAngleY=0; minAngleY=-86; maxAngleY=86;
			initFov=0.1; minFov=0.03; maxFov=1.2;
		};

		soundEngine[]={\smc oh58\smc oh58\oh58,db+5,1};

		armor=30;
		cost=10000000;
		model=\smc oh58\smc oh58;

		rotorBig = vrtule_velka;
		rotorBigBlend = vrtule_velka_bl_;
		rotorSmall = vrtule_mala;
		rotorSmallBlend = vrtule_mala_bl;
		weapons[]={SMCLauncher,LaserDesignatorOH};
		magazines[]={SMCLauncher,LaserDesignatorOH};

		type=VAir;
		class TransportMagazines
{
      class _xx_M21
      {
         magazine="M21";
         count="12*1";
      };
      class _xx_LAWLauncher
      {
         magazine="LAWLauncher";
         count="6*1";
      };
      class _xx_G36aMag
      {
         magazine="G36aMag";
         count="12*1";
       };
      class _xx_HK
      {
         magazine="HK";
         count="12*1";
          };
      class _xx_HandGrenade
      {
         magazine="HandGrenade";
         count="10*1";
       };
      class _xx_SmokeShell
      {
         magazine="SmokeShell";
         count="10*1";
         };
      class _xx_LaserDesignator
      {
         magazine="LaserDesignator";
         count="4*1";
         };
};
	class TransportWeapons
	{
		class _xx_HK
		{
		weapon="HK";
		count="4*1";
		};
		class _xx_NVGoggles
		{
		weapon="NVGoggles";
		count="2*1";
		};
		class _xx_Binocular
		{
		weapon="Binocular";
		count="4*1";
		};
		class _xx_LAWLauncher
		{
		weapon="LAWLauncher";
		count="2*1";
		};
		class _xx_M21
		{
		weapon="M21";
		count="2*1";
		};
		class _xx_G36a
		{
		weapon="G36a";
		count="4*1";
		};
		class _xx_LaserDesignator
		{
		weapon="LaserDesignator";
		count="1*1";
		};
	};	
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 0.6, 0.3};

		dammageHalf[]=
		{
			"\smc oh58\smc oh58\oh58_sklotest.paa", "\smc oh58\smc oh58\oh58_sklotest_b.paa",
			"\smc oh58\smc oh58\oh58_sklotestl.paa", "\smc oh58\smc oh58\oh58_sklotestl_b.paa"
		};
		dammageFull[]=
		{
			"\smc oh58\smc oh58\oh58_sklotest.paa", "\smc oh58\smc oh58\oh58_sklotest_c.paa",
			"\smc oh58\smc oh58\oh58_sklotestl.paa", "\smc oh58\smc oh58\oh58_sklotestl_c.paa"

	};
};
